'use strict';

const content = require('@nuxt/content');

const schema = content.z.object({
  robots: content.z.union([content.z.string(), content.z.boolean()]).optional()
});
function asRobotsCollection(collection) {
  if (collection.type === "page") {
    collection.schema = collection.schema ? schema.extend(collection.schema.shape) : schema;
  }
  return collection;
}

exports.asRobotsCollection = asRobotsCollection;
exports.schema = schema;
