import * as zod from 'zod';
import { TypeOf, ZodRawShape } from 'zod';
import { Collection } from '@nuxt/content';

declare const schema: zod.ZodObject<{
    robots: zod.ZodOptional<zod.ZodUnion<[zod.ZodString, zod.ZodBoolean]>>;
}, "strip", zod.ZodTypeAny, {
    robots?: string | boolean | undefined;
}, {
    robots?: string | boolean | undefined;
}>;
type RobotSchema = TypeOf<typeof schema>;
declare function asRobotsCollection<T extends ZodRawShape>(collection: Collection<T>): Collection<T>;

export { type RobotSchema, asRobotsCollection, schema };
